{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "ADOPT_DUREE_MIN"; 
            externalType = NUMBER; 
            name = adoptDureeMin; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ADOPT_DUREE_MULTIPLES"; 
            externalType = NUMBER; 
            name = adoptDureeMultiples; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ADOPT_DUREE_NBENF_3_1"; 
            externalType = NUMBER; 
            name = adoptDureeNbenf31; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ANC_CG_SANS_TRAIT"; 
            externalType = NUMBER; 
            name = ancCgSansTrait; 
            precision = 5; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CBON_DUREE"; 
            externalType = NUMBER; 
            name = cbonDuree; 
            precision = 3; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CBON_INTERVALLE"; 
            externalType = NUMBER; 
            name = cbonIntervalle; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CFP_DUREE_INDEMNITE"; 
            externalType = NUMBER; 
            name = cfpDureeIndemnite; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CFP_DUREE_MAX"; 
            externalType = NUMBER; 
            name = cfpDureeMax; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CFP_DUREE_MIN"; 
            externalType = NUMBER; 
            name = cfpDureeMin; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CGM_ANCIENNETE"; 
            externalType = NUMBER; 
            name = cgmAnciennete; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CGM_DELAI"; 
            externalType = NUMBER; 
            name = cgmDelai; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CGM_DEMI_TRAITEMENT"; 
            externalType = NUMBER; 
            name = cgmDemiTraitement; 
            precision = 3; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CGM_DUREE_1"; 
            externalType = NUMBER; 
            name = cgmDuree1; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CGM_DUREE_2"; 
            externalType = NUMBER; 
            name = cgmDuree2; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CGM_PLEIN_TRAITEMENT"; 
            externalType = NUMBER; 
            name = cgmPleinTraitement; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CLD_DUREE_BLOQUANT"; 
            externalType = NUMBER; 
            name = cldDureeBloquant; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CLD_DUREE_NON_BLOQUANT"; 
            externalType = NUMBER; 
            name = cldDureeNonBloquant; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CLM_DEMI_TRAITEMENT"; 
            externalType = NUMBER; 
            name = clmDemiTraitement; 
            precision = 3; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CLM_DUREE_BLOQUANT"; 
            externalType = NUMBER; 
            name = clmDureeBloquant; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CLM_DUREE_NON_BLOQUANT"; 
            externalType = NUMBER; 
            name = clmDureeNonBloquant; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CLM_PERIODE_REFERENCE"; 
            externalType = NUMBER; 
            name = clmPeriodeReference; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CLM_PLEIN_TRAITEMENT"; 
            externalType = NUMBER; 
            name = clmPleinTraitement; 
            precision = 3; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CMNT_PERIODE_REFERENCE_C"; 
            externalType = NUMBER; 
            name = cmntPeriodeReferenceC; 
            precision = 3; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CMNT_PERIODE_REFERENCE_D"; 
            externalType = NUMBER; 
            name = cmntPeriodeReferenceD; 
            precision = 3; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CMOR_AVERT_PROLONG"; 
            externalType = NUMBER; 
            name = cmorAvertProlong; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CMOR_DEMI_TRAITEMENT"; 
            externalType = NUMBER; 
            name = cmorDemiTraitement; 
            precision = 3; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CMOR_DUREE_MAX"; 
            externalType = NUMBER; 
            name = cmorDureeMax; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CMOR_PERIODE_REFERENCE"; 
            externalType = NUMBER; 
            name = cmorPeriodeReference; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CMOR_PLEIN_TRAITEMENT"; 
            externalType = NUMBER; 
            name = cmorPleinTraitement; 
            precision = 3; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CONVPS_DATE_CGF"; 
            externalType = NUMBER; 
            name = convpsDateCgf; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CONVPS_DUREE_CGF"; 
            externalType = NUMBER; 
            name = convpsDureeCgf; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CONVPS_DUREE_MAX"; 
            externalType = NUMBER; 
            name = convpsDureeMax; 
            precision = 3; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CONVPS_DUREE_MINI"; 
            externalType = NUMBER; 
            name = convpsDureeMini; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CPA_AGE_MAXI"; 
            externalType = NUMBER; 
            name = cpaAgeMaxi; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CPA_AGE_MAXIMUM"; 
            externalType = NUMBER; 
            name = cpaAgeMaximum; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CPA_AGE_MINI_DEB"; 
            externalType = NUMBER; 
            name = cpaAgeMiniDeb; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CPA_ANC_SERVICE"; 
            externalType = NUMBER; 
            name = cpaAncService; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CPAR_AGE_SUP_ENFANT"; 
            externalType = NUMBER; 
            name = cparAgeSupEnfant; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CPAR_DUREE_MAX"; 
            externalType = NUMBER; 
            name = cparDureeMax; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CPAR_DUREE_PERIODE"; 
            externalType = NUMBER; 
            name = cparDureePeriode; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CRCT_DUREE_MAX"; 
            externalType = NUMBER; 
            name = crctDureeMax; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CRCT_DUREE_MINI"; 
            externalType = NUMBER; 
            name = crctDureeMini; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CRCT_DUREE_POSIT"; 
            externalType = NUMBER; 
            name = crctDureePosit; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CRCT_DUREE_TOTAL"; 
            externalType = NUMBER; 
            name = crctDureeTotal; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CSF_DUREE_FRACTIONNEMENT_MINI"; 
            externalType = NUMBER; 
            name = csfDureeFractionnementMini; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CSF_DUREE_MAXI"; 
            externalType = NUMBER; 
            name = csfDureeMaxi; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CSPEC_AGE_ENFANT"; 
            externalType = NUMBER; 
            name = cspecAgeEnfant; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CSPEC_DUREE1"; 
            externalType = NUMBER; 
            name = cspecDuree1; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CSPEC_DUREE2"; 
            externalType = NUMBER; 
            name = cspecDuree2; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CSPEC_DUREE3"; 
            externalType = NUMBER; 
            name = cspecDuree3; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CSPEC_DUREE_MAX"; 
            externalType = NUMBER; 
            name = cspecDureeMax; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CSPEC_RENOUVELLEMENT"; 
            externalType = NUMBER; 
            name = cspecRenouvellement; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CSPESTA_DUREE5_MAX"; 
            externalType = NUMBER; 
            name = cspestaDuree5Max; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CSPESTA_DUREE_MAX"; 
            externalType = NUMBER; 
            name = cspestaDureeMax; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CSPESTA_NB_RENOUVELLEMENT"; 
            externalType = NUMBER; 
            name = cspestaNbRenouvellement; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DELEG_DUREE_MAX"; 
            externalType = NUMBER; 
            name = delegDureeMax; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DELEG_HU_NT_DUREE_FONCTION"; 
            externalType = NUMBER; 
            name = delegHuNtDureeFonction; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DELEG_HU_NT_DUREE_MAX"; 
            externalType = NUMBER; 
            name = delegHuNtDureeMax; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DELEG_HU_NT_PROLONGATION"; 
            externalType = NUMBER; 
            name = delegHuNtProlongation; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DELEG_HU_TIT_DUREE_MAX"; 
            externalType = NUMBER; 
            name = delegHuTitDureeMax; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DELEG_HU_TIT_DUREE_REPRISE"; 
            externalType = NUMBER; 
            name = delegHuTitDureeReprise; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MAD_DUREE_MAX"; 
            externalType = NUMBER; 
            name = madDureeMax; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MAINT_FONCT_AGE_MAXI"; 
            externalType = NUMBER; 
            name = maintFonctAgeMaxi; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MAINT_FONCT_AGE_MINI"; 
            externalType = NUMBER; 
            name = maintFonctAgeMini; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MAINT_FONCT_DUREE_MAXI"; 
            externalType = NUMBER; 
            name = maintFonctDureeMaxi; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MAT_DUREE_MIN_POSTNATALE"; 
            externalType = NUMBER; 
            name = matDureeMinPostnatale; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MAT_DUREE_MIN_PRENATALE"; 
            externalType = NUMBER; 
            name = matDureeMinPrenatale; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MISDEP_DUREE"; 
            externalType = NUMBER; 
            name = misdepDuree; 
            precision = 3; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MTTH_DUREE_ACSERV"; 
            externalType = NUMBER; 
            name = mtthDureeAcserv; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MTTH_DUREE_CLD_CLM"; 
            externalType = NUMBER; 
            name = mtthDureeCldClm; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "NO_PARAM"; 
            externalType = NUMBER; 
            name = noParam; 
            precision = 1; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PROLONGATION_DUREE_MAXI"; 
            externalType = NUMBER; 
            name = prolongationDureeMaxi; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "RECUL_AGE_DUREE_MAXI"; 
            externalType = NUMBER; 
            name = reculAgeDureeMaxi; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "RECUL_AGE_DUREE_MINI"; 
            externalType = NUMBER; 
            name = reculAgeDureeMini; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "RECUL_AGE_MINI"; 
            externalType = NUMBER; 
            name = reculAgeMini; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "SURNB_DUREE"; 
            externalType = NUMBER; 
            name = surnbDuree; 
            precision = 2; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "SURNB_LIMITE_AGE"; 
            externalType = NUMBER; 
            name = surnbLimiteAge; 
            precision = 3; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (
        adoptDureeMin, 
        adoptDureeMultiples, 
        adoptDureeNbenf31, 
        ancCgSansTrait, 
        cbonDuree, 
        cbonIntervalle, 
        cfpDureeIndemnite, 
        cfpDureeMax, 
        cfpDureeMin, 
        cgmAnciennete, 
        cgmDelai, 
        cgmDemiTraitement, 
        cgmDuree1, 
        cgmDuree2, 
        cgmPleinTraitement, 
        cldDureeBloquant, 
        cldDureeNonBloquant, 
        clmDemiTraitement, 
        clmDureeBloquant, 
        clmDureeNonBloquant, 
        clmPeriodeReference, 
        clmPleinTraitement, 
        cmntPeriodeReferenceC, 
        cmntPeriodeReferenceD, 
        cmorAvertProlong, 
        cmorDemiTraitement, 
        cmorDureeMax, 
        cmorPeriodeReference, 
        cmorPleinTraitement, 
        convpsDateCgf, 
        convpsDureeCgf, 
        convpsDureeMax, 
        convpsDureeMini, 
        cpaAgeMaxi, 
        cpaAgeMaximum, 
        cpaAgeMiniDeb, 
        cpaAncService, 
        cparAgeSupEnfant, 
        cparDureeMax, 
        cparDureePeriode, 
        crctDureeMax, 
        crctDureeMini, 
        crctDureePosit, 
        crctDureeTotal, 
        csfDureeFractionnementMini, 
        csfDureeMaxi, 
        cspecAgeEnfant, 
        cspecDuree1, 
        cspecDuree2, 
        cspecDuree3, 
        cspecDureeMax, 
        cspecRenouvellement, 
        cspestaDuree5Max, 
        cspestaDureeMax, 
        cspestaNbRenouvellement, 
        delegDureeMax, 
        delegHuNtDureeFonction, 
        delegHuNtDureeMax, 
        delegHuNtProlongation, 
        delegHuTitDureeMax, 
        delegHuTitDureeReprise, 
        madDureeMax, 
        maintFonctAgeMaxi, 
        maintFonctAgeMini, 
        maintFonctDureeMaxi, 
        matDureeMinPostnatale, 
        matDureeMinPrenatale, 
        misdepDuree, 
        mtthDureeAcserv, 
        mtthDureeCldClm, 
        noParam, 
        prolongationDureeMaxi, 
        reculAgeDureeMaxi, 
        reculAgeDureeMini, 
        reculAgeMini, 
        surnbDuree, 
        surnbLimiteAge
    ); 
    className = EOGenericRecord; 
    classProperties = (
        adoptDureeMin, 
        adoptDureeMultiples, 
        adoptDureeNbenf31, 
        ancCgSansTrait, 
        cbonDuree, 
        cbonIntervalle, 
        cfpDureeIndemnite, 
        cfpDureeMax, 
        cfpDureeMin, 
        cgmAnciennete, 
        cgmDelai, 
        cgmDemiTraitement, 
        cgmDuree1, 
        cgmDuree2, 
        cgmPleinTraitement, 
        cldDureeBloquant, 
        cldDureeNonBloquant, 
        clmDemiTraitement, 
        clmDureeBloquant, 
        clmDureeNonBloquant, 
        clmPeriodeReference, 
        clmPleinTraitement, 
        cmntPeriodeReferenceC, 
        cmntPeriodeReferenceD, 
        cmorAvertProlong, 
        cmorDemiTraitement, 
        cmorDureeMax, 
        cmorPeriodeReference, 
        cmorPleinTraitement, 
        convpsDateCgf, 
        convpsDureeCgf, 
        convpsDureeMax, 
        convpsDureeMini, 
        cpaAgeMaxi, 
        cpaAgeMaximum, 
        cpaAgeMiniDeb, 
        cpaAncService, 
        cparAgeSupEnfant, 
        cparDureeMax, 
        cparDureePeriode, 
        crctDureeMax, 
        crctDureeMini, 
        crctDureePosit, 
        crctDureeTotal, 
        csfDureeFractionnementMini, 
        csfDureeMaxi, 
        cspecAgeEnfant, 
        cspecDuree1, 
        cspecDuree2, 
        cspecDuree3, 
        cspecDureeMax, 
        cspecRenouvellement, 
        cspestaDuree5Max, 
        cspestaDureeMax, 
        cspestaNbRenouvellement, 
        delegDureeMax, 
        delegHuNtDureeFonction, 
        delegHuNtDureeMax, 
        delegHuNtProlongation, 
        delegHuTitDureeMax, 
        delegHuTitDureeReprise, 
        madDureeMax, 
        maintFonctAgeMaxi, 
        maintFonctAgeMini, 
        maintFonctDureeMaxi, 
        matDureeMinPostnatale, 
        matDureeMinPrenatale, 
        misdepDuree, 
        mtthDureeAcserv, 
        mtthDureeCldClm, 
        prolongationDureeMaxi, 
        reculAgeDureeMaxi, 
        reculAgeDureeMini, 
        reculAgeMini, 
        surnbDuree, 
        surnbLimiteAge
    ); 
    externalName = "GRHUM.PARAM_CONGES_ABSENCES"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            adoptDureeMin, 
            adoptDureeMultiples, 
            adoptDureeNbenf31, 
            ancCgSansTrait, 
            cbonDuree, 
            cbonIntervalle, 
            cfpDureeIndemnite, 
            cfpDureeMax, 
            cfpDureeMin, 
            cgmAnciennete, 
            cgmDelai, 
            cgmDemiTraitement, 
            cgmDuree1, 
            cgmDuree2, 
            cgmPleinTraitement, 
            cldDureeBloquant, 
            cldDureeNonBloquant, 
            clmDemiTraitement, 
            clmDureeBloquant, 
            clmDureeNonBloquant, 
            clmPeriodeReference, 
            clmPleinTraitement, 
            cmntPeriodeReferenceC, 
            cmntPeriodeReferenceD, 
            cmorAvertProlong, 
            cmorDemiTraitement, 
            cmorDureeMax, 
            cmorPeriodeReference, 
            cmorPleinTraitement, 
            convpsDateCgf, 
            convpsDureeCgf, 
            convpsDureeMax, 
            convpsDureeMini, 
            cpaAgeMaxi, 
            cpaAgeMaximum, 
            cpaAgeMiniDeb, 
            cpaAncService, 
            cparAgeSupEnfant, 
            cparDureeMax, 
            cparDureePeriode, 
            crctDureeMax, 
            crctDureeMini, 
            crctDureePosit, 
            crctDureeTotal, 
            csfDureeFractionnementMini, 
            csfDureeMaxi, 
            cspecAgeEnfant, 
            cspecDuree1, 
            cspecDuree2, 
            cspecDuree3, 
            cspecDureeMax, 
            cspecRenouvellement, 
            cspestaDuree5Max, 
            cspestaDureeMax, 
            cspestaNbRenouvellement, 
            delegDureeMax, 
            delegHuNtDureeFonction, 
            delegHuNtDureeMax, 
            delegHuNtProlongation, 
            delegHuTitDureeMax, 
            delegHuTitDureeReprise, 
            madDureeMax, 
            maintFonctAgeMaxi, 
            maintFonctAgeMini, 
            maintFonctDureeMaxi, 
            matDureeMinPostnatale, 
            matDureeMinPrenatale, 
            misdepDuree, 
            mtthDureeAcserv, 
            mtthDureeCldClm, 
            prolongationDureeMaxi, 
            reculAgeDureeMaxi, 
            reculAgeDureeMini, 
            reculAgeMini, 
            surnbDuree, 
            surnbLimiteAge
        ); 
    }; 
    name = ParamCongesAbsences; 
    primaryKeyAttributes = (noParam); 
}
